/*
Theme Name:   Kunstenal
Theme URI:    
Description:  Kunstenal's main theme
Author:       Alexander Atlesque
Author URI:   https://atlesque.com
Template:     generatepress
Version:      0.1
*/

@font-face {
  font-family: "Lulo";
  src: url("/wp-content/themes/kunstenal/fonts/lulo.woff2") format("woff2"),
    url("/wp-content/themes/kunstenal/fonts/lulo.woff") format("woff");
  font-style: normal;
  font-weight: 400;
  font-display: swap;
}

html,
body {
  height: 100%;
}

body {
  display: flex;
  flex-direction: column;
  font-family: "Nunito", sans-serif;
}

h1,
h2,
h3,
h4,
h5,
h6,
nav,
.main-title {
  font-family: "Lulo", sans-serif;
}

.main-title {
  font-size: 45px;
  font-weight: 700;
}

body:not(.home) h1,
body:not(.home) h2 {
  display: inline-block;
}

h1 {
  font-size: 30px;
}

h2 {
  font-family: "Lulo", sans-serif;
  font-size: 30px;
  font-style: normal;
  font-weight: 300;
}

h4 {
  font-family: "Lulo", sans-serif;
  font-size: 17px;
  font-style: normal;
  font-weight: 400;
}

h1,
h2,
.elementor-widget-heading h1.elementor-heading-title,
.elementor-widget-heading h1.elementor-heading-title {
  margin-bottom: 1em;
}

h1:after,
h2:after {
  content: "";
  width: 30%;
  background: #e8e349;
  height: 4px;
  display: block;
  margin: 0.4em auto;
}

.title--underline-left:after {
  margin: 0.4em 0;
}

.main-nav,
.main-nav ul {
  display: flex;
  justify-content: center;
}

.main-nav {
  max-width: 630px;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}

.main-nav .menu-item {
  background: #fff;
  border-top: 2px solid black;
  border-bottom: 2px solid black;
  transition: background-color 0.2s ease, color 0.2s ease;
}

.main-nav .menu-item a,
.main-navigation .menu-toggle {
  font-family: "Lulo", sans-serif;
  font-size: 15px;
  color: #000;
  text-align: center;
  transition: color 0.2s ease;
}

.main-nav .menu-item:hover {
  background: #000;
}

.main-nav .menu-item:hover>a,
.main-nav .menu-item:hover>.dropdown-menu-toggle {
  color: #fff;
}

.entry-summary a,
.entry-content a {
  text-decoration: underline;
}

.page-content,
.entry-content,
.entry-summary {
  margin: 0;
}

div.container {
  flex: 1 0 auto;
}

div.site-footer {
  flex-shrink: 0;
}

.single-gallery .entry-title {
  display: block;
  margin-top: 2rem;
  margin-bottom: 1em;
  text-align: center;
}

.gallery-button {
  display: flex;
  align-items: center;
  flex-direction: column;
  margin-bottom: 2em;
}

.gallery-button__title {
  margin: 0.7em 0;
}

.gallery-button__date {
  font-size: 0.9em;
}

@media (max-width: 768px) {
  .main-nav,
  .main-nav ul {
    display: block;
  }

  .main-nav>ul {
    display: none;
  }

  .main-navigation {
    width: 100%;
  }

  .main-navigation .menu-toggle {
    display: block;
    width: 100%;
    text-align: center;
  }

  .main-navigation.toggled .main-nav>ul {
    display: block;
  }

  .main-navigation.toggled .main-nav li {
    width: 100%;
    text-align: center;
  }
}

.home-button {
  color: black;
  cursor: pointer;
}

.home-button:hover {
  cursor: pointer;
}

.home-button .elementor-section,
.home-button .elementor-section>.elementor-container {
  height: 100%;
}

.home-button h2 {
  margin-bottom: 0;
  font-size: 25px;
  margin-right: -5px;
}

.contact_email-social h3 {
  margin-bottom: 10px;
}

.contact_email-social .fa {
  zoom: 0.7;
  color: black;
}

.wpcf7 input {
  width: 100%;
}

.wpcf7 input[type="submit"] {
  background-color: rgba(232, 227, 73, 1);
  color: #ffffff;
  width: 100%;
  min-height: 45px;
  display: block;
  font-family: Lulo, sans-serif;
  padding: 5px;
}

.wpcf7 input:not([type="submit"]),
.wpcf7 textarea {
  border: 2px solid black;
  color: black;
}

.form-row {
  display: inline-block;
  margin-bottom: 1em;
}

.form-row .grid-50:first-child {
  padding-left: 0;
}

.form-row .grid-50:last-child {
  padding-right: 0;
}

.elementor-social-icon-facebook--black a {
  background-color: black;
}

.menu .menu-item-has-children .dropdown-menu-toggle {
  padding-right: 50px;
  position: absolute;
}

.main-navigation .main-nav ul li.menu-item-has-children>a {
  padding-left: 60px;
  padding-right: 60px;
}

.menu .sub-menu {
  width: 100%;
  background: #fff;
}

.menu .sub-menu .menu-item>a,
.menu .sub-menu .menu-item>.dropdown-menu-toggle {
  color: #000;
  padding-left: 60px;
  padding-right: 60px;
}

.menu .sub-menu .menu-item {
  background: #fff;
}

.menu .sub-menu .menu-item:hover {
  background: #000;
}

.sub-menu .menu-item:not(:last-of-type) {
  border-bottom: 2px solid #000;
}

.events-list {
  margin: 0;
}

.events-list__event {
  list-style: none;
  border: 3px solid black;
  padding: 0.5em;
  margin-bottom: 0.5em;
  font-family: Lulo, sans-serif;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.event__date,
.event__title {
  flex-grow: 1;
}

.event__date,
.event__title {
  margin: 0 1vw;
}

.site-info {
  padding: 10px;
}

.site-info .copyright-bar {
  font-size: 0.9em;
}

.gallery .entry-header {
  text-align: center;
}

.elementor-column-gap-default>.elementor-row>.elementor-column>.elementor-element-populated {
  padding: 0;
}

.separate-containers .inside-article {
  padding: 0;
}

.separate-containers .site-main,
.separate-containers .inside-right-sidebar,
.separate-containers .inside-left-sidebar {
  margin: 0;
}

.elementor-column-gap-default>.elementor-row>.elementor-column>.elementor-element-populated {
  padding: 0 !important;
}

.elementor-widget:not(:last-child).elementor-widget-heading {
  margin-bottom: 0;
}

.elementor-widget-heading:first-child {
  margin-top: 1em;
}

.site-main .inside-article {
  padding-top: 1em;
}

.upper-home-buttons {
  margin-top: 1em;
}

.elementor-widget-social-icons {
  margin-bottom: 1.5em;
}

body.elementor-page-7232 img.emoji {
  width: 1em;
  height: 1em;
  margin: 0 0.1em;
  vertical-align: -0.1em;
}

@media (max-width: 1024px) {
  .site-header .inside-header {
    padding-left: 0;
    padding-right: 0;
  }

  .separate-containers .site-main,
  .separate-containers .inside-right-sidebar,
  .separate-containers .inside-left-sidebar {
    margin-top: 0;
  }

  .site-main .elementor-column-gap-wide>.elementor-row>.elementor-column>.elementor-element-populated {
    padding-left: 2%;
    padding-right: 2%;
  }

  .main-nav .menu {
    width: 100%;
  }

  .events-list__event {
    justify-content: center;
    text-align: center;
  }

  .event__title {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
  }

  .grid-50 {
    padding: 0;
  }

  .wpcf7 .grid-50:first-child {
    margin-bottom: 1em;
  }
}

@media (max-width: 768px) {
  .main-nav .menu-item:not(:first-child) {
    border-top: none;
  }

  .main-title {
    font-size: 30px;
  }

  h1 {
    font-size: 25px;
  }

  .elementor-widget-text-editor,
  .elementor-widget-void-section-cf7,
  .events-list {
    padding: 1em;
  }

  .elementor-widget-text-editor p:last-child {
    margin-bottom: 0;
  }

  .elementor-widget:not(:last-child) {
    margin-bottom: 0 !important;
  }

  .wpcf7-form p:last-of-type {
    margin-bottom: 0;
  }

  .elementor-column-gap-wide>.elementor-row>.elementor-column>.elementor-element-populated {
    padding-bottom: 0 !important;
  }

  .home-button .elementor-image {
    padding: 1em;
  }

  .site-footer {
    margin-top: 1em;
  }

  .page .elementor-image {
    text-align: center;
  }

  .about-images .elementor-inner-column {
    margin-top: 1em;
  }
}
